GuidesPipeline API ReferenceChangelog
Pipeline API Reference

Schedules a PipelineVersion.

This endpoint updates the state of a PipelineVersion to Scheduled.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

System generated identifier for the Pipeline.

string
required

System generated identifier for the PipelineVersion.

Body Params

Optional CatalogVersions to use when running the pipeline; when CatalogVersions is passed the Version Resolver library will not be used. This becomes a one-time, 'run-now' scenario. If the ScheduledConfiguration of this Pipeline Version was 'version_resolver', this is automatically reset (to empty) to indicate the one-time, 'run-now' scenario and match the fact that CatalogVersions was passed in. The Pipeline Version will be automatically deactivated after this run attempt (whether the run is successful or not) so that this Pipeline Version will not be run automatically again in the future. The JobCatalogVersions (whether passed, or calculated by the Version Resolver) will be stored in the resulting Job record, which will be available via the 'List Jobs' API - after the job starts running on the Spark / Flink cluster.

Common options for an operation.

boolean

Defines if the pipeline is highly available using a standby master

inputCatalogs
object

Versions of the input catalogs the Job processes, identified by symbolic catalog name.

outputCatalog
object
string

RunAsId Id to run the pipeline

uuid

Optional snapshot id to activate pipeline with

boolean

True if the latest available checkpoint should be used to activate this pipeline. Activation will fail if no checkpoint is found (e.g., the checkpoint has expired).

Headers
string

Identifier for a specific http request. If not present, one will be generated.

string

Common identifier for multiple http requests to indicate they are associated in some way. If not present, one will be generated.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*